<?php

namespace App\Filters;

class BusinessGoodsSkuFilter extends Filters
{
    protected function externalSkuId($value)
    {
        return $this->builder->where('external_sku_id', '=', trim($value));
    }

    protected function goodsName($value)
    {
        return $this->builder->where('goods_name', '=', trim($value));
    }

    protected function shipId($value)
    {
        return $this->builder->where('shop_id', '=', trim($value));
    }
}
